<div align="center">
   <img alt="NMMA" src="https://github.com/nuclear-multimessenger-astronomy/nmma/raw/main/doc/images/light-logo.svg" width="600px" height="300px">
   <h1>NMMA</h1>
   <h2>a pythonic library for probing nuclear physics and cosmology with multimessenger analysis</h2>
   <br/><br/>
</div>

[![Coverage Status](https://coveralls.io/repos/github/nuclear-multimessenger-astronomy/nmma/badge.svg?branch=main)](https://coveralls.io/github/nuclear-multimessenger-astronomy/nmma?branch=main)
[![CI](https://github.com/nuclear-multimessenger-astronomy/nmma/actions/workflows/continous_integration.yml/badge.svg)](https://github.com/nuclear-multimessenger-astronomy/nmma/actions/workflows/continous_integration.yml)
[![PyPI version](https://badge.fury.io/py/nmma.svg)](https://badge.fury.io/py/nmma)
[![Python version](https://img.shields.io/pypi/pyversions/nmma.svg)](https://badge.fury.io/py/nmma)


Read our official documentation: [NMMA Documentation](https://nuclear-multimessenger-astronomy.github.io/nmma/)

Check out our contribution guide: [For contributors](https://nuclear-multimessenger-astronomy.github.io/nmma/contributing.html)


A tutorial on how to produce simulations of lightcurves is given here [tutorial-lightcurve_simulation.ipynb](https://github.com/nuclear-multimessenger-astronomy/nmma/blob/main/tutorials/tutorial-lightcurve_simulation.ipynb)


### Citing NMMA

When utilizing this code for a publication, kindly make a reference to the package by its name and a citation to [NMMA: A nuclear-physics and multi-messenger astrophysics framework to analyze binary neutron star mergers](https://arxiv.org/abs/2205.08513). The BibTeX entry for the paper is:
```bibtex
@misc{pang2022nmma,
      title={NMMA: A nuclear-physics and multi-messenger astrophysics framework to analyze binary neutron star mergers},
      author={Peter T. H. Pang and Tim Dietrich and Michael W. Coughlin and Mattia Bulla and Ingo Tews and Mouza Almualla and Tyler Barna and Weizmann Kiendrebeogo and Nina Kunert and Gargi Mansingh and Brandon Reed and Niharika Sravan and Andrew Toivonen and Sarah Antier and Robert O. VandenBerg and Jack Heinzel and Vsevolod Nedora and Pouyan Salehi and Ritwik Sharma and Rahul Somasundaram and Chris Van Den Broeck},
      year={2022},
      eprint={2205.08513},
      archivePrefix={arXiv},
      primaryClass={astro-ph.HE}
}
```
